{
  "name": "receive_game",
  "version": "1.0.0",
  "description": "接红包基础模版",
  "main": "released/output.js",
  "module": "released/output.module.js",
  "useAsModule": false,
  "scripts": {
    "dev": "node rollup.dev.mjs -p 8080",
    "test": "cd test && npm run testDev",
    "build": "npm run handleRes && node scripts/mergeJson && node scripts/upload && npm run buildTS",
    "buildTS": "rollup -c rollup.prod.mjs && node scripts/uploadSingleJs",
    "handleLotS": "node scripts/handleLotS",
    "handleRes": "node scripts/delRel && node scripts/copyRes && node scripts/createTm && node scripts/textureMerge && node scripts/delTm && node scripts/imageMin",
    "copyJs": "node scripts/copyJs",
    "flushRes": "node scripts/flushRes",
    "psd": "node scripts/psdH && node scripts/flushRes",
    "psdSin": "node scripts/psdHSin",
    "clearSameImg": "node scripts/clearSameImg && node scripts/flushRes",
    "createModule": "node scripts/createModule",
    "createAllModule": "node scripts/createAllModule"
  },
  "devDependencies": {
    "@babel/core": "^7.18.2",
    "@babel/preset-env": "^7.18.2",
    "@rollup/plugin-babel": "^5.3.1",
    "@rollup/plugin-json": "^4.1.0",
    "@rollup/plugin-node-resolve": "^13.1.1",
    "@rollup/plugin-typescript": "^8.3.0",
    "address": "^1.2.0",
    "ali-oss": "^4.11.4",
    "chalk": "^2.3.0",
    "co": "^4.6.0",
    "del": "^2.2.1",
    "duiba-utils": "^1.0.9",
    "form-data": "^4.0.0",
    "fs": "0.0.2",
    "glslify": "^7.1.1",
    "javascript-obfuscator": "^4.1.0",
    "md5": "^2.3.0",
    "path": "^0.12.7",
    "progress": "^2.0.0",
    "psd": "^3.2.0",
    "readline": "^1.3.0",
    "rollup": "^2.61.1",
    "rollup-plugin-commonjs": "^10.1.0",
    "rollup-plugin-glsl-loader": "^1.0.13",
    "rollup-plugin-livereload": "^2.0.5",
    "rollup-plugin-progress": "^1.1.2",
    "rollup-plugin-serve": "^1.1.0",
    "rollup-plugin-terser": "^7.0.2",
    "texture-packer-hycv": "^1.1.1",
    "tslint": "^5.9.1",
    "typescript": "^4.5.4"
  },
  "author": "haiyoucuv",
  "license": "ISC"
}
